### Method

# Camel FolderSummary info_new_from_message

#### Declaration [src]

    CamelMessageInfo*
    camel_folder_summary_info_new_from_message (
      CamelFolderSummary* summary,
      CamelMimeMessage* message
    )

#### Description [src]

Create a summary item from a message.

#### Parameters

`message`

  Type: `CamelMimeMessage`

  A `CamelMimeMessage` object.

  The data is owned by the caller of the method.

#### Return value

Type: `CamelMessageInfo`

A newly created `CamelMessageInfo`. Unref it with g_object_unref(), when done with it.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.